CVE-2005-2044
CVSS4.3
发布时间 :2005-06-16 00:00:00
修订时间 :2008-09-05 16:50:44
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in ATutor 1.4.3 and 1.5 RC 1 allow remote attackers to inject arbitrary web script or HTML via the (1) show_course parameter to browse.php, (2) subject parameter to contact.php, (3) cid parameter to content.php, (4) l parameter to inbox/send_message.php, the (5) search, (6) words, (7) include, (8) find_in, (9) display_as, or (10) search parameter to search.php, the (11) submit, (12) query, or (13) field parameter to tile.php, the (14) us parameter to forum/subscribe_forum.php, or the (15) roles[], (16) status, (17) submit, or (18) reset_filter parameters to directory.php.


[CNNVD]Atutor 多个跨站脚本攻击漏洞(CNNVD-200506-154)

        ATutor 1.4.3和1.5 RC 1版本中存在多个跨站脚本攻击漏洞,远程攻击者可借助:(1)提交到browse.php脚本的show_course参数,(2)到contact.php脚本的subject参数,(3)到content.php脚本的cid参数,(4)到inbox/send_message.php脚本的l参数,(5)到search.php脚本的search参数,(6)words参数,(7)include参数,(8)find_in参数,(9)display_as参数,或(10)search参数,(11)到tile.php脚本的submit参数,(12)query参数,或(13)field参数,(14)到forum/subscribe_forum.php脚本的us参数,或(15)到directory.php脚本的roles[]参数,(16)status参数,(17)submit参数,或(18)reset_filter参数,来注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:adaptive_technology_resource_centre:atutor:1.4.3
cpe:/a:adaptive_technology_resource_centre:atutor:1.5_rc_1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2044
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2044
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200506-154
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/13972
(PATCH)  BID  13972
http://lostmon.blogspot.com/2005/06/atutor-multiple-variable-cross-site.html
(VENDOR_ADVISORY)  MISC  http://lostmon.blogspot.com/2005/06/atutor-multiple-variable-cross-site.html
http://www.osvdb.org/17359
(UNKNOWN)  OSVDB  17359
http://www.osvdb.org/17358
(UNKNOWN)  OSVDB  17358
http://www.osvdb.org/17357
(UNKNOWN)  OSVDB  17357
http://www.osvdb.org/17356
(UNKNOWN)  OSVDB  17356
http://www.osvdb.org/17355
(UNKNOWN)  OSVDB  17355
http://www.osvdb.org/17354
(UNKNOWN)  OSVDB  17354
http://www.osvdb.org/17353
(UNKNOWN)  OSVDB  17353
http://www.osvdb.org/17352
(UNKNOWN)  OSVDB  17352
http://www.osvdb.org/17351
(UNKNOWN)  OSVDB  17351
http://securitytracker.com/id?1014216
(UNKNOWN)  SECTRACK  1014216

- 漏洞信息

Atutor 多个跨站脚本攻击漏洞
中危 跨站脚本
2005-06-16 00:00:00 2006-08-23 00:00:00
远程  
        ATutor 1.4.3和1.5 RC 1版本中存在多个跨站脚本攻击漏洞,远程攻击者可借助:(1)提交到browse.php脚本的show_course参数,(2)到contact.php脚本的subject参数,(3)到content.php脚本的cid参数,(4)到inbox/send_message.php脚本的l参数,(5)到search.php脚本的search参数,(6)words参数,(7)include参数,(8)find_in参数,(9)display_as参数,或(10)search参数,(11)到tile.php脚本的submit参数,(12)query参数,或(13)field参数,(14)到forum/subscribe_forum.php脚本的us参数,或(15)到directory.php脚本的roles[]参数,(16)status参数,(17)submit参数,或(18)reset_filter参数,来注入任意Web脚本或HTML。

- 公告与补丁

        暂无数据

- 漏洞信息

17351
ATutor browse.php show_course Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

ATutor contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the show_course variable upon submission to the browse.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-06-16 2005-06-10
2005-06-16 Unknow

- 解决方案

Upgrade to version 1.5 RC3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站